package com.steerinfo.metermonitor.metermonitorweight.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.metermonitor.dto.MeterMonitorWeightDto;
import com.steerinfo.metermonitor.metermonitorweight.model.MeterMonitorWeight;
import com.steerinfo.meterwork.dto.TimesDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterMonitorWeightMapper extends IBaseMapper<MeterMonitorWeight, String> {
    List<MeterMonitorWeight> selectTime(Map<String,Object> map);

    List<MeterMonitorWeightDto> selectByTime(Map<String,Object> map);

    List<TimesDto> listFast(HashMap<String, Object> obj);

    List<TimesDto> listSlowly(HashMap<String, Object> obj);

    List<TimesDto> listAvg(HashMap<String, Object> obj);
}